package com.kingdee.eas.custom.perfwebinterview;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractInterviewRecordInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractInterviewRecordInfo()
    {
        this("id");
    }
    protected AbstractInterviewRecordInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:面谈记录's 等级property 
     */
    public String getGradeLevel()
    {
        return getString("gradeLevel");
    }
    public void setGradeLevel(String item)
    {
        setString("gradeLevel", item);
    }
    /**
     * Object: 面谈记录 's 面谈人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getInterviewer()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("interviewer");
    }
    public void setInterviewer(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("interviewer", item);
    }
    /**
     * Object:面谈记录's 面谈时间property 
     */
    public java.sql.Time getInterviewTime()
    {
        return getTime("interviewTime");
    }
    public void setInterviewTime(java.sql.Time item)
    {
        setTime("interviewTime", item);
    }
    /**
     * Object:面谈记录's 面谈结果property 
     */
    public String getInterviewResult()
    {
        return getString("interviewResult");
    }
    public void setInterviewResult(String item)
    {
        setString("interviewResult", item);
    }
    /**
     * Object: 面谈记录 's 考核结果 property 
     */
    public com.kingdee.shr.perfweb.app.base.evalplan.EvaResultSummaryInfo getEvaResult()
    {
        return (com.kingdee.shr.perfweb.app.base.evalplan.EvaResultSummaryInfo)get("evaResult");
    }
    public void setEvaResult(com.kingdee.shr.perfweb.app.base.evalplan.EvaResultSummaryInfo item)
    {
        put("evaResult", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("E085DF65");
    }
}